Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: wine

Tunables Interfaces Templates

### Description:

Run Windows programs in Linux.

### Tunables:

wine_mmap_zero_ignore

##### Default value

false

##### Description

Determine whether attempts by wine to mmap low regions should be silently blocked.

Return

### Interfaces:

wine_domtrans( domain )

##### Summary

Execute the wine program in the wine domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

wine_role( role , domain )

##### Summary

Role access for wine.

##### Parameters

Parameter: | Description:
--- | ---
role | Role allowed access.
domain | User domain for the role.

wine_run( domain , role )

##### Summary

Execute wine in the wine domain, and allow the specified role the wine domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

wine_rw_shm( domain )

##### Summary

Read and write wine Shared memory segments.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

wine_role_template( role_prefix , user_role , user_domain )

##### Summary

The role template for the wine module.

##### Description

This template creates a derived domains which are used for wine applications.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user domain (e.g., user is the prefix for user_t).
user_role | The role associated with the user domain.
user_domain | The type of the user domain.

Return